import { CfnAutoScalingGroup } from "@aws-cdk/aws-autoscaling";
import { BaseComplianceChecker } from "./compliance-checker";
export interface AutoScalingGroupConfig {
    loadBalancerHealthCheck?: boolean;
}
export declare class AutoScalingGroupComplianceChecker extends BaseComplianceChecker<CfnAutoScalingGroup> {
    constructor(config: AutoScalingGroupConfig);
    checkCompliance(node: CfnAutoScalingGroup): void;
    /**
     * [AutoScaling.1] Auto Scaling groups associated with a load balancer should use load balancer health checks
     * Ref: https://docs.aws.amazon.com/securityhub/latest/userguide/securityhub-standards-fsbp-controls.html#fsbp-autoscaling-1
     */
    private checkLoadBalancerHealthCheck;
}
