import { IAspect, IConstruct } from "@aws-cdk/core";
import { ApiGatewayConfig } from "./api-gateway-checker";
import { AutoScalingGroupConfig } from "./auto-scaling-group-checker";
import { DynamoDBConfig } from "./dynamo-db-checker";
import { IAMConfig } from "./iam-policy-checker";
import { LambdaConfig } from "./lambda-checker";
import { RDSConfig } from "./rds-compliance-checker";
export interface FSBPConfig {
    apigateway?: ApiGatewayConfig;
    autoScalingGroup?: AutoScalingGroupConfig;
    dynamodb?: DynamoDBConfig;
    iam?: IAMConfig;
    lambda?: LambdaConfig;
    rds?: RDSConfig;
}
/**
 * Ref: https://docs.aws.amazon.com/securityhub/latest/userguide/securityhub-standards-fsbp-controls.html
 */
export declare class AWSFoundationalSecurityBestPracticesChecker implements IAspect {
    #private;
    /**
     * Initialise a new Checker. All values in the configuration default to true if not provided.
     * @param config
     */
    constructor(config?: FSBPConfig);
    visit(node: IConstruct): void;
}
