import { CfnTable } from "@aws-cdk/aws-dynamodb";
import { BaseComplianceChecker } from "./compliance-checker";
export declare class DynamoDBConfig {
    autoScaling?: boolean;
    pointInTimeRecovery?: boolean;
}
export declare class DynamoDBComplianceChecker extends BaseComplianceChecker<CfnTable> {
    constructor(config: DynamoDBConfig);
    checkCompliance(node: CfnTable): void;
    /**
     * [DynamoDB.1] DynamoDB tables should automatically scale capacity with demand
     * Ref: https://docs.aws.amazon.com/securityhub/latest/userguide/securityhub-standards-fsbp-controls.html#fsbp-dynamodb-1
     */
    private checkAutoScaling;
    /**
     * [DynamoDB.2] DynamoDB tables should have point-in-time recovery enabled
     * Ref: https://docs.aws.amazon.com/securityhub/latest/userguide/securityhub-standards-fsbp-controls.html#fsbp-dynamodb-2
     */
    private checkPointInTimeRecovery;
}
