import { CfnFunction } from "@aws-cdk/aws-lambda";
import { BaseComplianceChecker } from "./compliance-checker";
export declare class LambdaConfig {
    supportedRuntimes?: boolean;
}
export declare class LambdaComplianceChecker extends BaseComplianceChecker<CfnFunction> {
    #private;
    constructor(config: LambdaConfig);
    checkCompliance(node: CfnFunction): void;
    /**
     * [Lambda.2] Lambda functions should use supported runtimes
     * Ref: https://docs.aws.amazon.com/securityhub/latest/userguide/securityhub-standards-fsbp-controls.html#fsbp-lambda-2
     */
    private checkLambdaSupportedRuntime;
}
